Subject: Define mew-regex-url in mew-lang-jp.el
From: Tatsuya Kinoshita <tats@debian.org>
Forwarded: https://github.com/kazu-yamamoto/Mew/pull/29

diff --git a/mew-lang-jp.el b/mew-lang-jp.el
index ca811d5..1f0b55c 100644
--- a/mew-lang-jp.el
+++ b/mew-lang-jp.el
@@ -172,6 +172,16 @@
 (defvar mew-highlight-body-regex-cite
   "^\\(\\([ \t]\\{,7\\}\\([>:|〉＞》≫：｜]\\|\\w+\\([._-]+\\w+\\)*>+\\)\\)+\\).*")
 
+(defvar mew-regex-url
+  (concat
+   "\\b\\("
+   "\\(\\(file\\|news\\|mailto\\):\\)"
+   "\\|"
+   "\\(\\(s?https?\\|ftp\\|gopher\\|telnet\\|wais\\)://\\)"
+   "\\)"
+   "[^ 　\t\n>)\"]*"
+   "[^ 　\t\n>.,:)\"]+"))
+
 (provide 'mew-lang-jp)
 
 ;;; Copyright Notice:
diff --git a/mew-vars.el b/mew-vars.el
index 292cbc4..6fb5e85 100644
--- a/mew-vars.el
+++ b/mew-vars.el
@@ -2856,8 +2856,8 @@ in Summary/Virtual mode."
    "\\|"
    "\\(\\(s?https?\\|ftp\\|gopher\\|telnet\\|wais\\)://\\)"
    "\\)"
-   "[^ 　\t\n>)\"]*"
-   "[^ 　\t\n>.,:)\"]+")
+   "[^ \t\n>)\"]*"
+   "[^ \t\n>.,:)\"]+")
   "*Regular expression to find URL."
   :group 'mew-highlight
   :type 'regexp)
